uk.gov.hmrc.play.bootstrap.frontend.filters

# DefaultFrontendAuditFilter

###
Related Doc: package filters

#### class DefaultFrontendAuditFilter extends FrontendAuditFilter

Linear Supertypes
FrontendAuditFilter, AuditFilter, EssentialFilter, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DefaultFrontendAuditFilter
2. FrontendAuditFilter
3. AuditFilter
4. EssentialFilter
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new DefaultFrontendAuditFilter(controllerConfigs: ControllerConfigs, auditConnector: AuditConnector, httpAuditEvent: HttpAuditEvent, mat: Materializer)(implicit ec: ExecutionContext)

   Annotations
     @Inject()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val applicationPort: Option[Int]

   Definition Classes
     DefaultFrontendAuditFilter → FrontendAuditFilter

5. #### def apply(nextFilter: EssentialAction): EssentialAction

   Definition Classes
     FrontendAuditFilter → EssentialFilter

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def asJava: EssentialFilter

   Definition Classes
     EssentialFilter

8. #### val auditConnector: AuditConnector

   Definition Classes
     DefaultFrontendAuditFilter → FrontendAuditFilter

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def controllerNeedsAuditing(controllerName: String): Boolean

    Definition Classes
      DefaultFrontendAuditFilter → FrontendAuditFilter

11. #### def dataEvent(eventType: String, transactionName: String, request: RequestHeader, detail: Map[String, String])(implicit hc: HeaderCarrier): DataEvent

    Definition Classes
      DefaultFrontendAuditFilter → FrontendAuditFilter

12. #### implicit val ec: ExecutionContext

    Attributes
      protected
    Definition Classes
      DefaultFrontendAuditFilter → FrontendAuditFilter

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### val maskedFormFields: Seq[String]

    Definition Classes
      DefaultFrontendAuditFilter → FrontendAuditFilter

20. #### val mat: Materializer

    Definition Classes
      DefaultFrontendAuditFilter → FrontendAuditFilter

21. #### val maxBodySize: Int

    Definition Classes
      FrontendAuditFilter

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### def needsAuditing(request: RequestHeader): Boolean

    Attributes
      protected
    Definition Classes
      FrontendAuditFilter

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### def onCompleteWithInput(loggingContext: String, next: Accumulator[ByteString, Result], handler: (String, Try[Result]) ⇒ (String) ⇒ Unit)(implicit ec: ExecutionContext): Accumulator[ByteString, Result]

    Attributes
      protected
    Definition Classes
      FrontendAuditFilter

27. #### val requestReceived: String

    Definition Classes
      FrontendAuditFilter

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def toString(): String

    Definition Classes
      AnyRef → Any

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from FrontendAuditFilter

### Inherited from AuditFilter

### Inherited from EssentialFilter

### Inherited from AnyRef

### Inherited from Any

### Ungrouped